#################################################
#
#  (C) 2010-2011 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

# check for stl coping with namespace std
tde_save( CMAKE_CXX_FLAGS )
string( REGEX REPLACE "-include tqt.h" "" CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS}" )
check_cxx_source_compiles("
    #include <iterator>
    struct s : public std::iterator<std::forward_iterator_tag, int> {};
    int main(int, char**) { return 0; } "
    HAVE_STLNAMESPACE )
tde_restore( CMAKE_CXX_FLAGS )
if( HAVE_STLNAMESPACE )
  set( STD_NAMESPACE_PREFIX "std::" CACHE INTERNAL "" FORCE )
endif( )
